# Opal_G711_uLaw_PCM Class Reference

`#include <g711codec.h>`

Inheritance diagram for Opal_G711_uLaw_PCM:

[legend]
Collaboration diagram for Opal_G711_uLaw_PCM:
[legend]

## Public Member Functions

| Opal_G711_uLaw_PCM ()
virtual int | ConvertOne (int sample) const

## Static Public Member Functions

static int | ConvertSample (int sample)

## Constructor & Destructor Documentation

Opal_G711_uLaw_PCM::Opal_G711_uLaw_PCM | ( |  | ) |

## Member Function Documentation

virtual int Opal_G711_uLaw_PCM::ConvertOne | ( | int | sample | ) | const`[virtual]`

Convert one sample from one format to another. This function takes the input data as a single sample value and converts it to its output format.

Returns converted value.

Implements OpalStreamedTranscoder.

static int Opal_G711_uLaw_PCM::ConvertSample | ( | int | sample | ) | `[static]`

The documentation for this class was generated from the following file:

- g711codec.h